<?xml version="1.0"?>
<!DOCTYPE database-schema PUBLIC "-//Evermind//- Database schema" "http://www.orionserver.com/dtds/database-schema.dtd">

<database-schema name="SapDB" not-null="not null" null="null" primary-key="primary key" max-table-name-length="32">
    <type-mapping type="boolean"              name="boolean" />
    <type-mapping type="byte"                 name="byte" />
    <type-mapping type="char"                 name="char" />
    <type-mapping type="double"               name="double precision" />
    <type-mapping type="float"                name="float" />
    <type-mapping type="int"                  name="integer" />
    <type-mapping type="long"                 name="integer" />
    <type-mapping type="short"                name="smallint" />
    <type-mapping type="java.lang.String"     name="varchar(255)" />
    <type-mapping type="java.math.BigDecimal" name="fixed(15,15)" />
    <type-mapping type="byte[]"               name="long byte" />
    <type-mapping type="java.sql.Date"        name="date" />
    <type-mapping type="java.sql.Time"        name="time" />
    <type-mapping type="java.sql.Timestamp"   name="timestamp" />
    <type-mapping type="java.util.Date"       name="timestamp" />
    <type-mapping type="java.io.Serializable" name="long byte" />

    <disallowed-field name="key" />
    <disallowed-field name="date" />
    <disallowed-field name="timestamp" />
    <disallowed-field name="time" />
    <disallowed-field name="username" />
    <disallowed-field name="user" />
    <disallowed-field name="password" />
    <disallowed-field name="order" />
    <disallowed-field name="table" />    
    <disallowed-field name="value" />
    <disallowed-field name="name" />
    <disallowed-field name="count" />
</database-schema>
